2

Previously I faced an issue installing Catalyzt 15.7 (fglrx 15.20.1046) on Kali Sana because of the whole /usr/lib and /usr/lib64 co-existing.

Following the post How to install AMD Catalyst 15.7 (fglrx 15.20.1046) on Kali 2.0 (Sana)? has helped resolve the issue.

Now AMD released AMD Catalyst 15.12 (fglrx 15.302) and I was wondering if I can just run the amd-driver-installer-15.302-x86.x86_64.run that comes packaged or is a specific procedure similar to move /usr/lib64 to /usr/.lib64?

Here is some relevant info about my system

# fglrxinfo 
display: :0  screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 7900 Series 
OpenGL version string: 4.5.13397 Compatibility Profile Context 15.20.1046

# ./fglrx-15.302/check.sh 
Detected configuration:
Architecture: x86_64 (64-bit)
X Server: XServer 1.17.2

Any guidance is appreciated.

Thanks

P.S. I plan to take a backup of my system prior to the upgrade in the unfortunate event that the new fglrx installer messes things up and I need to roll back.

  • Old question, but since the AMD Catalyst major version does not change, I would expect that you'd need the same workarounds as with your currently-installed version, unless the release notes specifically say otherwise. – telcoM Aug 3 '18 at 12:08